use std::io;

use stuff::readline;

#[derive(Debug, thiserror::Error)]
pub enum Error {
    #[error("{0}")]
    Io(#[from] io::Error),
    #[error("{0}")]
    Readline(#[from] readline::ReadlineError),
    #[error("")]
    InvalidUsage,
}
